#import <misckit/misckit.h>

@interface MiscString(DExtensions)
- collapseGermanUmlaut;
- collapseOctalQuotedDigits;
- collapseBackslashQuotedChars;
- expandBackslashQuotedChars;
- expandUnprintableCharsToOctalQuotedDigits;
- trimLeadChars:(const char*)chars;
- trimTrailChars:(const char*)chars respectQuotationBy:(unsigned int) qc;
- trimTrailChars:(const char*)chars;
-(BOOL) streq:(char*)thestr;
- wordStart:(int *)start andLen:(int *)len ofNum:(int) num;
- wordOfNum:(int)num;
-(int) spotOfBreakCharsStartAt:(int)n;

- tokenize:(const char *)breakChars into:theList fieldsQuotatedBy:(char) theChar;

- streamPuts:(NXStream *) stream;
- setBytes:(const char *)ptr n:(int)n;

@end
